##### windows::basic_object_handle::basic_object_handle (3 of 6 overloads)

Construct an object handle on an existing native handle.

    basic_object_handle(
        const executor_type & ex,
        const native_handle_type & native_handle);

This constructor creates an object handle object to hold an existing native handle.

###### Parameters

ex

  The I/O executor that the object handle will use, by default, to dispatch handlers for any asynchronous operations performed on the object handle.

native_handle

  The new underlying handle implementation.

###### Exceptions

asio::system_error

  Thrown on failure.